import { __exports as o } from "./index-LexicalComposerContext.prod2.js";
import a from "react";
var i;
function p() {
  if (i) return o;
  i = 1;
  var n = a;
  function u(e) {
    let t = new URLSearchParams();
    t.append("code", e);
    for (let r = 1; r < arguments.length; r++) t.append("v", arguments[r]);
    throw Error(`Minified Lexical error #${e}; visit https://lexical.dev/docs/error?${t} for the full message or use the non-minified dev environment for full errors and additional helpful warnings.`);
  }
  let l = n.createContext(null);
  return o.LexicalComposerContext = l, o.createLexicalComposerContext = function(e, t) {
    let r = null;
    return e != null && (r = e[1]), { getTheme: function() {
      return t ?? (r != null ? r.getTheme() : null);
    } };
  }, o.useLexicalComposerContext = function() {
    let e = n.useContext(l);
    return e == null && u(8), e;
  }, o;
}
export {
  p as __require
};
